Bug 102921 - mail/mulberry4, patches to add functionality
Summary: mail/mulberry4, patches to add functionality
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Palle Girgensohn
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-05 21:40 UTC by pauls
Modified: 2006-09-22 17:20 UTC (History)
0 users

See Also:


Attachments
patch-Makefile (520 bytes, text/plain)
2006-09-05 21:40 UTC, pauls
no flags Details
patch-pkg-plist (288 bytes, text/plain)
2006-09-05 21:40 UTC, pauls
no flags Details
url.helpers (47 bytes, text/plain)
2006-09-05 21:40 UTC, pauls
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description pauls 2006-09-05 21:40:18 UTC
	These patches should only be applied to the recently submitted PR
	http://www.freebsd.org/cgi/query-pr.cgi?pr=102835
	which updates the mail/mulberry4 port to the latest version - 4.0.5

	These patches add mailcap and url.helpers files to the install in
	order to provide some default functionality to Mulberry.  They tell
	Mulberry how to handle attachments (MIME) and urls in email.

Fix: --- files/pkg-message.in.orig	Tue Sep  5 15:21:44 2006
+++ files/pkg-message.in	Tue Sep  5 15:25:16 2006
@@ -3,5 +3,16 @@
 Support is through the community.  If you need support, you
 can start here - http://www.mulberrymail.com/support.shtml
 
+This port installs a url.helper file in %%PREFIX%%/lib
+and a mailcap file in %%PREFIX%%/etc.  These files tell
+Mulberry how to handle links and attachments (respectively)
+in email.  They assume that you are using Firefox and KDE.  If
+you want to override their values, copy them to .url.helpers
+and .mailcap in your home directory and then edit them
+appropriately.
+
 To run Mulberry, launch the mulberry-start script found in
-%%PREFIX%%/bin/.
+%%PREFIX%%/bin/.  The startup script sources the Resources
+directory properly so that Mulberry's GUI will display text
+correctly.
+
--- patch-pkg-message ends here ---

image/jpeg; kview %s
image/gif; kview %s
application/rtf; kword %s
application/msword; kword %s
application/vnd.ms-excel; kspread %s
application/pdf; kpdf %s
video/x-ms-wmv; mplayer %s
--- mailcap ends here ---
Comment 1 Volker Stolz freebsd_committer 2006-09-12 03:48:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->girgen

girgen@ already holds the other PR
Comment 2 dfilter service freebsd_committer 2006-09-22 17:13:24 UTC
girgen      2006-09-22 16:13:16 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/mulberry        Makefile distinfo pkg-descr pkg-message 
                         pkg-plist 
    mail/mulberry/files  mailcap url.helpers 
  Log:
  Mulberry email client resurrected. Mulberry is now freeware.
  
  PR: ports/102835, ports/102921 (Paul Schmehl)
  
  Revision  Changes    Path
  1.795     +1 -0      ports/mail/Makefile
  1.20      +61 -0     ports/mail/mulberry/Makefile (new)
  1.12      +3 -0      ports/mail/mulberry/distinfo (new)
  1.1       +53 -0     ports/mail/mulberry/files/mailcap (new)
  1.1       +3 -0      ports/mail/mulberry/files/url.helpers (new)
  1.3       +15 -0     ports/mail/mulberry/pkg-descr (new)
  1.4       +10 -0     ports/mail/mulberry/pkg-message (new)
  1.5       +51 -0     ports/mail/mulberry/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 dfilter service freebsd_committer 2006-09-22 17:14:06 UTC
girgen      2006-09-22 16:14:00 UTC

  FreeBSD ports repository

  Modified files:
    .                    modules 
  Log:
  Mulberry email client resurrected. Mulberry is now freeware.
  
  PR: ports/102835, ports/102921 (Paul Schmehl)
  
  Revision  Changes    Path
  1.16253   +1 -0      CVSROOT/modules
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Palle Girgensohn freebsd_committer 2006-09-22 17:15:52 UTC
State Changed
From-To: open->closed

committed a new mulberry port inspired by this PR. Thanks.